package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/** 
* @author 作者  ymh
* @version 创建时间：2018年12月17日 下午4:24:29 
* 类说明  云主机 秘钥 关系表
*/
@Table("server_keypair")
public class ServerKeypair extends Generic  {

	@PK(value = PKStrategy.AUTO)
	private Long id;// ID
	@Column("server_id")
	private Long serverId;// 云主机ID
	@Column("keypair_id")
	private Long keypairId;// 秘钥ID
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getServerId() {
		return serverId;
	}
	public void setServerId(Long serverId) {
		this.serverId = serverId;
	}
	public Long getKeypairId() {
		return keypairId;
	}
	public void setKeypairId(Long keypairId) {
		this.keypairId = keypairId;
	}
	
}
